# Function applyPostMoveUsedAbAttrs

- applyPostMoveUsedAbAttrs(attrType, pokemon, move, source, targets, ...args): Promise<void>

- #### Parameters

  - attrType: (new (...args) => PostMoveUsedAbAttr )
    - - new (...args): PostMoveUsedAbAttr

      - #### Parameters

        - `Rest` ...args: any[]

        #### Returns PostMoveUsedAbAttr

  - pokemon: default
  - move: PokemonMove
  - source: default
  - targets: BattlerIndex []
  - `Rest` ...args: any[]

  #### Returns Promise<void>

  - Defined in src/data/ability.ts:3562